import Navbar from '@/views/layout/Navbar'
import { Footer, FooterColumn } from '@/views/layout/Footer'

export function Layout({ children }) {
  return (
    <>
      {/* <Navbar
        logo={{
          img: '/img/fitko-logo.svg',
          alt: 'Föderale Entwicklungsportal',
        }}
      /> */}
      <main className="py-10">{children}</main>
      <Footer logo={{
          img: '/img/fitko-logo.svg',
          alt: 'Föderale Entwicklungsportal',
      }} copyright={'FITKO'}>
          <FooterColumn title={'Service APIs'} links={[
              {label: 'Routing API', href: 'https://docs.fitko.de/fit-connect/docs/apis/routing-api' },
              {label: 'Payment API', href: 'https://docs.fitko.de/payment-api/' },
              {label: 'Submission API', href: 'https://docs.fitko.de/fit-connect/docs/apis/submission-api' },
          ]}/>
          <FooterColumn title={'Ressourcen'} links={[
              {label: 'FAQs', href: 'https://docs.fitko.de/fit-connect/contact/#FAQs' }
          ]}/>
          <FooterColumn title={'Rechtliches'} links={[
              {label: 'Impressum', href: 'https://www.fitko.de/impressum' },
              {label: 'Datenschutz', href: 'https://www.fitko.de/datenschutz' },
              {label: 'Barrierefreiheit', href: 'https://www.fitko.de/barrierefreiheitserklaerung' },
          ]}/>
      </Footer>
    </>
  )
}
