import { IconSearch } from '@tabler/icons'

export default () => {
  return (
    <div className="relative bg-white overflow-hidden">
      <section className="relative">
        <div className="mx-auto px-4 sm:px-6">
          <div className="lg:grid lg:grid-cols-12 lg:gap-8">
            <div className="sm:text-center md:max-w-4xl md:mx-auto lg:col-span-8 lg:text-left">
              <h1>
                <span className="mt-1 block text-4xl tracking-tight font-extrabold sm:text-5xl xl:text-7xl">
                  <span className="block text-gray-900">Das föderale</span>
                  <span className="block text-yellow-400">
                    Entwicklungsportal
                  </span>
                </span>
              </h1>
              <p className="mt-3 text-base text-gray-500 sm:mt-5 sm:text-xl lg:text-lg xl:text-2xl">
                Dieses Portal soll nicht nur für die vorgeschlagene Antragsinfrastruktur, sondern für alle relevanten Basiskomponenten in Bund und Ländern technische Dokumentationen, Entwicklungsressourcen und Leitfäden lösungsorientiert bündeln und  offen bereitstellen. Dazu können auch frei verfügbare Implementierungsbeispiele für das Ansprechen vereinheitlichter Schnittstellen und Standards gehören.
                Hier erfahren Sie alles über die verschiedenen verfügbaren
                Dienste und Schnittstellen für eine einfache und zukunftssichere
                Behördenkommunikation.
              </p>
              <div className="mt-8 text-left sm:tex-center sm:max-w-lg lg:mxw-0">
                <form action="#" method="POST" className="mt-3 sm:flex">
                  <label htmlFor="email" className="sr-only">
                    Suche
                  </label>
                  <div className="mt-1 flex rounded-md shadow-sm w-full">
                    <div className="relative flex items-stretch flex-grow focus-within:z-10">
                      <input
                        type="search"
                        name="search"
                        id="search"
                        className="focus:ring-yellow-500 focus:border-yellow-500 block w-full rounded-none rounded-l-md sm:text-sm border-gray-300"
                        placeholder="Das Portal durchsuchen ..."
                      />
                    </div>
                  <button
                    type="submit"
                    className="-ml-px relative inline-flex items-center space-x-2 px-4 py-2 border border-gray-300 text-sm font-medium rounded-r-md text-white bg-yellow-400 hover:bg-yellow-300 focus:outline-none focus:ring-1 focus:ring-yellow-500 focus:border-yellow-500 hover:cursor-pointer shadow-sm"
                  >
                    <IconSearch className="h-5 w-5" aria-hidden="true" size={24}/>
                  </button>
                  </div>
                </form>
              </div>
            </div>
            <div className="mt-12 relative sm:max-w-md sm:mx-auto lg:mt-0 lg:max-w-none lg:mx-0 lg:col-span-4 lg:flex lg:items-center">
              <div className="relative mx-auto w-full lg:max-w-md">
                <img src={'/img/germany.svg'} alt={'Karte von Deutschland'}/>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  )
}
